<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
version="2.0">

	<xsl:output method="text" />
	
	<xsl:param name="spaceParam" />
	
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="/">
		<xsl:value-of select="ext:storeInSpaceWorkflow('TYPE_DOC', //*:other/*:EltTech/*:IdTypeDoc, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<!-- Endroits où on peut trouver le code cssf fonds -->
		<xsl:apply-templates select="//*:Conc1[1]/*:Context//*:CdCssfOpc" />
		<xsl:apply-templates select="//*:Conc1[1]/*:Context//*:CdCssfCompart" />
		
		<!-- Endroits où on peut trouver le code cssf compart -->
		<xsl:apply-templates select="//*:Conc1[1]/*:Context/*:CodifInstrFonds/*:CodifInstr" mode="cssf" />
		<xsl:apply-templates select="//*:Conc1[1]/*:Context/*:CodifInstrCompart/*:CodifInstr" mode="cssfcomp" />
		
		<!-- Dates de deb et fin -->
		<xsl:apply-templates select="//*:Conc1[1]/*:Context//*:DtDebRap" />
		<xsl:apply-templates select="//*:Conc1[1]/*:Context//*:DtFinRap" />
		
	</xsl:template>
	
	<!-- Endroits où on peut trouver le code cssf fonds -->
	<xsl:template match="*:CdCssfOpc">
		<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_OPC', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	<xsl:template match="*:CodifInstr" mode="cssf">
		<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_OPC', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	
	<!-- Endroits où on peut trouver le code cssf compart -->
	<xsl:template match="*:CdCssfCompart">
		<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_COMPARTIMENT', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	<xsl:template match="*:CodifInstr" mode="cssfcomp">
		<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_COMPARTIMENT', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	
	<!-- Dates de deb et fin -->
	<xsl:template match="*:DtDebRap">
		<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_DEBUT_PERIODE', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	<xsl:template match="*:DtFinRap">
		<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_FIN_PERIODE', ., $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	
</xsl:stylesheet>